Bug 495572 - xguest, user switching, and password
xguest, user switching, and password
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: jmccann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-13 16:18 EDT by Mads Villadsen
Modified: 2015-01-14 18:22 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 07:49:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mads Villadsen 2009-04-13 16:18:03 EDT
Description of problem:
When logging in as Guest the first time no password is needed. If "switch user" is used from within the Guest user session, then to return to the Guest user a password is needed.

Version-Release number of selected component (if applicable):
xguest-1.0.7-3.fc11.noarch


How reproducible:
Always

Steps to Reproduce:
1. Log in as Guest (notice that no password is required)
2. Select "Switch User" from the user switch applet.
3. Trying to get back to the already logged in guest user now requires a password.
  
Actual results:
Unable to get back into the Guest user session.

Expected results:
It should work without asking for a password.
Comment 1 Bug Zapper 2009-06-09 09:46:45 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Stephen 2009-07-12 16:19:55 EDT
From my normal account, I installed xguest, hit the Switch User option and got bounced to the login screen. Choosing 'Guest' I was asked for the password.

I rebooted and at the first login screen chose 'Guest' and again was asked for a password.  It won't accept blank (no password).


It seems that whether trying to re-login as guest (as originally reported), or switching from a normal user, or simply logging in as Guest at all now asks for a password.

xguest is completely broken.


This was tried on a F11 machine, fresh install from livecd, with all updates applied as of now.
Comment 3 Daniel Walsh 2009-07-15 12:08:57 EDT
There is a bug in gdm. gdm currently user /etc/pam.d/gdm-password instead of /etc/pam.d/gdm.  

If you take the first line out of /etc/pam.d/gdm and add it to /etc/pam.d/gdm-password, xguest should start working again.


auth     [success=done ignore=ignore default=bad] pam_selinux_permit.so
Comment 4 Jeff Peeler 2009-12-05 19:00:34 EST
This appears to still be broken in F12. The referenced auth line above is already in gdm-password.
Comment 5 Bug Zapper 2010-04-27 09:40:09 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2010-06-28 07:49:33 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.